Bug 125006 - Installer often gets md# of boot partition wrong
Installer often gets md# of boot partition wrong
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 20:12 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 04:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-01 20:12:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.2 (KHTML, like Gecko) Safari/125.7

Description of problem:
When creating a set of RAID 1 partitions during installation of Fedora Core 2
Anaconda almost always picks the wrong md# for the boot partition. The
only solution I have found is to go back to the Disk Druid step and 
renumber the RAID partitions so that /boot happens to be the md# that
anaconda demands. There doesn't seem to be any logic to which md#
anaconda selects either. However it doesn't change within a given
installation session.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install Fedora Core 2 on a machine with two identical SATA drives
2. during the installation use the Disk Druid option to create identical
Software RAID partitions on each drive. Use these to create RAID 1 
partitions for /boot, /, /swap, /var and /home.
3.In the next anaconda screen after creating the RAID partitions, you will
be presented with the md# that anaconda wants to use for the boot
partition.
    

Actual Results:  The md# partition presented by anaconda for the boot partition is almost always
NOT the one which has the /boot mount point.

Expected Results:  I expected anaconda to be bright enough to look for the /boot mount point when
picking the md# partition for the boot partition.

Additional info:

The only workaround I have found is back up to the Disk Druid step in the anaconda
installation and edit the software RAID partitions to have the expected md# that
anaconda is demanding for the boot partition.
Comment 1 Paul Nasrat 2004-06-10 03:46:47 EDT
Investigating.
Comment 2 Paul Nasrat 2004-07-12 07:01:42 EDT
Commited a fix for this issue to HEAD

Note You need to log in before you can comment on or make changes to this bug.